import static greenfoot.Color.WHITE;

public class Proxy extends AbstractTower {
    private long lastUsed = System.currentTimeMillis();
    
    public Proxy() {
        super("Proxy");
    }
    
    public void fire(AbstractVirus virus) {
        
    }
    
    public boolean activate() {
        return false;
    }
    
    public void use() {
        lastUsed = System.currentTimeMillis();
        new ProxyHandEffect(this);
        ParticleSystem.create(getLocation(), 50, WHITE, 1, 300L, 2000L, 1, -4, 4, -4, 4);
        SoundLoader.play("map.sprite.tower.proxy");
        Toast.show("proxy-activated", "Storage has been defeated from virus by one of your proxies!", 5000, Colors.LIGHT_SEA);
    }
    
    public boolean canBeUsed() {
        return lastUsed + getParameters().getDelay() <= System.currentTimeMillis();
    }
}
