import greenfoot.*;


public class AntivirusBullet extends AbstractBullet {
    
    public AntivirusBullet(Antivirus antivirus, AbstractVirus target) {
          super(antivirus, target, Colors.LIGHT_GRASS, 3);
          setZoom(.9);
    }
    
    @Override
    public void onVirusReached(AbstractVirus virus) {
        if(getHolder().getLevel() >= 8 && Math.random() < (.02 + .005 * (getHolder().getLevel() - 8))) {
            SoundLoader.play("map.sprite.bullet.antivirus.overload");
            new OverloadedAntivirusBulletExplosionAreaEffect(virus.getLocation());
            virus.inRange(100, AbstractVirus.class).forEach(v -> v.performDamage((int) (Math.random() * virus.getMaxHealth() / (3 - (getHolder().getLevel() - 8)))));
        }
    }
}
