import greenfoot.*;


public class Button extends Label
{
    private Runnable onClick;
    
    public Button(Object text, Runnable onClick) { 
        super(text);
        this.onClick = onClick;
    }
    
    @Override
    public void onClick() {
        onClick.run();
    }
    
    public Runnable getAction() { return onClick; }
}
