import greenfoot.*;


public class CompanionActorHolder { 
    
    private MapActor mapActor;
    private Location relativeLocation;
    
    public CompanionActorHolder(MapActor mapActor, Location relativeLocation) {
        this.mapActor = mapActor;
        this.relativeLocation = relativeLocation;
    }
    
    public Location getRelativeLocation() {
        return relativeLocation;
    }
    
    public MapActor getMapActor() {
        return mapActor;
    }
    
    public MapActor toActor() {
        return getMapActor();
    }
    
    public CompanionActorHolder redefineHolder(Location newRelativeLocation) {
        this.relativeLocation = newRelativeLocation;
        return this;
    }
}
