public class Firewall extends AbstractTower {
    public Firewall() {
        // Delay, Radius, Damage, Cost
        super("Firewall");
    }
    
    public void fire(AbstractVirus virus) {}
    
    public boolean activate() {
        new FirewallShieldEffect(this);
        SoundLoader.play("map.sprite.tower.firewall");
        long delay = (long) ((double) getParameters().getDelay() / (20 - 1.7 * getLevel()));
        Toast.show("firewall-activated", "Firewall is active", delay); 
        CybervirusHazard.getCurrentMapView().getMap().getWaveManager().addExtraDelay(delay);
        return true;
    }
}
