import greenfoot.*;
import java.util.*;

public class HeaderBar extends CompositeInterfaceElement {
    
    private GreenfootImage image;
    private Icon energyIcon = new Icon("energy");
    private Label energyLabel = new Label(CybervirusHazard.getCurrentMapView().getEnergy());
    
    public HeaderBar() {
        this.image = new GreenfootImage(CybervirusHazard.getViewsWidth() * 2, 32);
        setImage(image);
    }
    
    public Iterable<CompanionActorHolder> getCompanions() {
        return List.of(
            new CompanionActorHolder(energyIcon, new Location(0 - CybervirusHazard.getViewsWidth() / 2 + 12, 0)),
            new CompanionActorHolder(energyLabel, new Location(12 - CybervirusHazard.getViewsWidth() / 2 + 12, -1))
        );
    }
    
    public void act() {
        energyLabel.setText(CybervirusHazard.getCurrentMapView().getEnergy());
    }
}
