import greenfoot.*;


public class HyperjetLaserParticle extends Particle
{
    public HyperjetLaserParticle(Hyperjet of) {
        super("hyperjet-laser", 4000L, 0, 0, -5);
        CybervirusHazard.getCurrentMapView().add(this, of.getLocation());
    }
    
    @Override
    public void act() {
        super.act();
        if(Math.random() < .1) {
            ParticleSystem.create(getLocation().add(new Location((int) (Math.random() * 8 - 4), (int) (Math.random() * 8 - 8))), 4, new Color(255, 255, 255), 2, 0L, 200L, -8, -0.3, 0.3, -0.6, -0.4);
            ParticleSystem.create(getLocation().add(new Location((int) (Math.random() * 8 - 4), (int) (Math.random() * 8 - 8))), 8, new Color(255, 255, 255), 1, 0L, 200L, -8, -0.1, 0.1, -1.6, -1.4);
        }
    }
}
