import greenfoot.*;


public class Icon extends InterfaceElement {
    public Icon(String iconKey) {
        this(iconKey, false);
    }
    
    public Icon(String iconKey, boolean isKeyAbsolute) {
        super((isKeyAbsolute ? "" : "map.ui.icon.") + iconKey);
    }
    
    public int getWidth() {
        return getImage().getWidth();
    }
    
    public int getHeight() {
        return getImage().getHeight();
    }
    
    public void setZoom(double zoom) {
        getGifImage().setZoom(zoom);
    }
}
