import greenfoot.*;


public final class Images {
    public static GreenfootImage create(Color fill, int x, int y) {
        GreenfootImage image = new GreenfootImage(x, y);
        image.setColor(fill);
        image.fill();
        
        return image;
    }
    
    public static GreenfootImage create(Color fill, int size) {
        return create(fill, size, size);
    }
    
    public static GreenfootImage empty() {
        return empty(1);
    }
    
    public static GreenfootImage empty(int size) {
        return create(new Color(0, 0, 0, 0), size);
    }
}
