import greenfoot.*;


public class InvisibleButton extends MapActor
{
    private Runnable onClick;
    
    public InvisibleButton(int size, Runnable onClick) {
        this.onClick = onClick;
        setImage(new GifImage(Images.empty(size)));
    }
    
    @Override
    public void onClick() {
        onClick.run();
    }
}
