public final class TowerFactory {
    public static final AbstractTower createTower(String name) {
        switch(name) {
            case "Scanner":
                return new Scanner();
            case "Antivirus":
                return new Antivirus();
            case "Noise Generator":
                return new NoiseGenerator();
            case "Firewall":
                return new Firewall();
            case "Hyperjet":
                return new Hyperjet();
            case "Proxy":
                return new Proxy();
            default:
                throw new UnsupportedOperationException("Unable to create a tower with name: " + name);
        }
    }
}
