public final class VirusFactory {
    public static AbstractVirus createVirus(String type) {
        switch(type.toLowerCase()) {
            case "common":
                return new CommonVirus();
            case "fast":
                return new FastVirus();
            case "strong":
                return new StrongVirus();
            default:
                throw new UnsupportedOperationException("Unable to create virus with type '" + type + "'");
        }
    }
}
